Loading...
Searching...
No Matches
GridMetaData Class Reference

This is a convenient class that allows for access to grid meta-data that are independent of the value type of a grid. That is, this class can be used to get information about a grid without actually knowing its ValueType. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

template<typename T>
| GridMetaData (const NanoGrid< T > &grid)
| GridMetaData (const GridData *gridData)
bool | safeCast () const
| return true if the RootData follows right after the TreeData. If so, this implies that it's safe to cast the grid from which this instance was constructed to a GridMetaData
bool | isValid () const
const GridType & | gridType () const
const GridClass & | gridClass () const
bool | isLevelSet () const
bool | isFogVolume () const
bool | isStaggered () const
bool | isPointIndex () const
bool | isGridIndex () const
bool | isPointData () const
bool | isMask () const
bool | isUnknown () const
bool | hasMinMax () const
bool | hasBBox () const
bool | hasLongGridName () const
bool | hasAverage () const
bool | hasStdDeviation () const
bool | isBreadthFirst () const
uint64_t | gridSize () const
uint32_t | gridIndex () const
uint32_t | gridCount () const
const char * | shortGridName () const
const Map & | map () const
const BBox< Vec3d > & | worldBBox () const
const BBox< Coord > & | indexBBox () const
Vec3d | voxelSize () const
int | blindDataCount () const
uint64_t | activeVoxelCount () const
const uint32_t & | activeTileCount (uint32_t level) const
uint32_t | nodeCount (uint32_t level) const
uint64_t | checksum () const
uint32_t | rootTableSize () const
bool | isEmpty () const
Version | version () const

## Static Public Member Functions

static bool | safeCast (const GridData *gridData)
| return true if it is safe to cast the grid to a pointer of type GridMetaData, i.e. construction can be avoided.
template<typename T>
static bool | safeCast (const NanoGrid< T > &grid)
| return true if it is safe to cast the grid to a pointer of type GridMetaData, i.e. construction can be avoided.

## Detailed Description

This is a convenient class that allows for access to grid meta-data that are independent of the value type of a grid. That is, this class can be used to get information about a grid without actually knowing its ValueType.

## Constructor & Destructor Documentation

## GridMetaData() [1/2]

template<typename T>

GridMetaData | ( | const NanoGrid< T > & | grid | ) |

inline

## GridMetaData() [2/2]

GridMetaData | ( | const GridData * | gridData | ) |

inline

## Member Function Documentation

## activeTileCount()

const uint32_t & activeTileCount | ( | uint32_t | level | ) | const

inline

## activeVoxelCount()

uint64_t activeVoxelCount | ( |  | ) | const

inline

## blindDataCount()

int blindDataCount | ( |  | ) | const

inline

## checksum()

uint64_t checksum | ( |  | ) | const

inline

## gridClass()

const GridClass & gridClass | ( |  | ) | const

inline

## gridCount()

uint32_t gridCount | ( |  | ) | const

inline

## gridIndex()

uint32_t gridIndex | ( |  | ) | const

inline

## gridSize()

uint64_t gridSize | ( |  | ) | const

inline

## gridType()

const GridType & gridType | ( |  | ) | const

inline

## hasAverage()

bool hasAverage | ( |  | ) | const

inline

## hasBBox()

bool hasBBox | ( |  | ) | const

inline

## hasLongGridName()

bool hasLongGridName | ( |  | ) | const

inline

## hasMinMax()

bool hasMinMax | ( |  | ) | const

inline

## hasStdDeviation()

bool hasStdDeviation | ( |  | ) | const

inline

## indexBBox()

const BBox< Coord > & indexBBox | ( |  | ) | const

inline

## isBreadthFirst()

bool isBreadthFirst | ( |  | ) | const

inline

## isEmpty()

bool isEmpty | ( |  | ) | const

inline

## isFogVolume()

bool isFogVolume | ( |  | ) | const

inline

## isGridIndex()

bool isGridIndex | ( |  | ) | const

inline

## isLevelSet()

bool isLevelSet | ( |  | ) | const

inline

## isMask()

bool isMask | ( |  | ) | const

inline

## isPointData()

bool isPointData | ( |  | ) | const

inline

## isPointIndex()

bool isPointIndex | ( |  | ) | const

inline

## isStaggered()

bool isStaggered | ( |  | ) | const

inline

## isUnknown()

bool isUnknown | ( |  | ) | const

inline

## isValid()

bool isValid | ( |  | ) | const

inline

## map()

const Map & map | ( |  | ) | const

inline

## nodeCount()

uint32_t nodeCount | ( | uint32_t | level | ) | const

inline

## rootTableSize()

uint32_t rootTableSize | ( |  | ) | const

inline

## safeCast() [1/3]

bool safeCast | ( |  | ) | const

inline

return true if the RootData follows right after the TreeData. If so, this implies that it's safe to cast the grid from which this instance was constructed to a GridMetaData

## safeCast() [2/3]

bool safeCast | ( | const GridData * | gridData | ) |

inline static

return true if it is safe to cast the grid to a pointer of type GridMetaData, i.e. construction can be avoided.

## safeCast() [3/3]

template<typename T>

bool safeCast | ( | const NanoGrid< T > & | grid | ) |

inline static

return true if it is safe to cast the grid to a pointer of type GridMetaData, i.e. construction can be avoided.

## shortGridName()

const char * shortGridName | ( |  | ) | const

inline

## version()

Version version | ( |  | ) | const

inline

## voxelSize()

Vec3d voxelSize | ( |  | ) | const

inline

## worldBBox()

const BBox< Vec3d > & worldBBox | ( |  | ) | const

inline